%define major	3
%define libname	%mklibname openshot-audio %{major}
%define devname	%mklibname openshot-audio -d

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		libopenshot-audio
Version:	0.1.2
Release:	%mkrel 2
Summary:	OpenShot Audio Library
License:	GPLv3+
Group:		System/Libraries
Url:		http://www.openshot.org/
Source0:	https://launchpad.net/libopenshot/%{url_ver}/%{version}/+download/%{name}-%{version}.tar.gz
Patch0:		libopenshot-audio-0.1.2-linking.patch
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xrandr)

%description
OpenShot Audio Library.

#----------------------------------------------------

%package -n	%{libname}
Summary:	OpenShot Audio Library
Group:		System/Libraries

%description -n	%{libname}
OpenShot Audio Library.
This package contains library files for %{name}.

#----------------------------------------------------

%package -n	%{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	openshot-audio-devel = %{version}-%{release}

%description -n	%{devname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------

%prep
%setup -qc
%autopatch -p1

%build
%cmake
%make_build

%install
%make_install -C build

%files
%{_bindir}/openshot-audio-test-sound
%{_mandir}/man1/openshot-audio-test-sound.1*

%files -n %{libname}
%{_libdir}/libopenshot-audio.so.%{major}
%{_libdir}/libopenshot-audio.so.%{version}

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/libopenshot-audio.so


%changelog
* Mon Oct 10 2016 wally <wally> 0.1.2-2.mga6
+ Revision: 1060040
- add patch to fix underlinking

* Mon Oct 10 2016 daviddavid <daviddavid> 0.1.2-1.mga6
+ Revision: 1059962
- initial package libopenshot-audio

